<? if( isset($KeyID) ) :
        $mrtClass="\\Houserich\\Models\\{$modelclass}";
        $distances=$mrtClass::find(["{$gisType}Id={$KeyID}","order"=>"distance"]);
?>
<section class="widget">
    <div class="widget-header">
        <? if ( count($distances) == 0 ): ?>
            <h3>最近捷運站-請確認已設定上方地圖社區大樓座標資訊後再點選計算距離。</h3>
        <?php else: ?>
            <h3>最近捷運站-若已計算過，將直接顯示最近捷運清單。</h3>
        <?php endif ?>

    </div>
    <div class="widget-content text-center">
        <button class="btn btn-warning btn-count-distance">計算距離</button>
        <table id="distanceTable" class="table table-bordered">
            <thead>
            <tr>
                <th>編號</th>
                <th>捷運站</th>
                <th>距離</th>
            </tr>
            </thead>
            <tbody>
            <? if ( count($distances) > 0 ): ?>
            <? foreach($distances as $i => $distance): ?>
            <tr>
                <td><?=$i+1;?></td>
                <td><?=$distance->Mrt->name;?></td>
                <td><?=$distance->distance;?>(m)</td>
            </tr>
            <? endforeach; ?>
            <?php endif; ?>
            </tbody>
        </table>
    </div>
</section>

<script>
$(function(){
    $(".btn-count-distance").click(function(){
        if( $("#latitude").val() == "" || $("#longitude").val() == "" ){
            alert('請先透過上方地圖模組處理設定物件/社區大樓經緯度才能計算捷運站距離！');
            return ;
        }else{
            MARKID = $("#geomarkersId").val();
            LAT = $("#latitude").val();
            LNG = $("#longitude").val();
        }

        // 顯示捷運距離區塊
        $.ajax({
            url: '<?=$this->url->get('core/gis/distance');?>',
            type: 'POST',
            data:{
                MarkId: MARKID,
                KeyID: '<?=$KeyID;?>',
                FieldPrefix: '<?=$gisType;?>',
                RelModel: '<?=$modelclass;?>',
                latitude: LAT,
                longitude: LNG
            },
            dataType: 'json',
            beforeSend: function(){
                $(".btn-count-distance").hide();
            },
            success: function( resp ){
                $(resp.display).pkalert(resp);
                if( resp.res ){
                    $("#distanceTable > tbody").empty().append( resp.html );
                }
            },
            complete: function(){
                $(".btn-count-distance").show();
            }
        });
    });
});
</script>
<?php endif; ?>